<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE web-app
 PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN"
 "http://java.sun.com/dtd/web-app_2_3.dtd">

<web-app>
 
 	<servlet>
		<servlet-name>wado</servlet-name>
		<display-name>WADO - Web Access to DICOM Persistent Objects</display-name>
		<servlet-class>org.dcm4chex.wado.web.WADOServlet</servlet-class>
	</servlet>
	
	<servlet>
		<servlet-name>oviyam</servlet-name>		
		<servlet-class>in.raster.oviyam.servlet.Validator</servlet-class>
	</servlet>	
	
	<servlet>
		<servlet-name>RIImage</servlet-name>		
		<servlet-class>in.raster.oviyam.servlet.RIImage</servlet-class>
	</servlet>
	
	<servlet>
		<servlet-name>update</servlet-name>		
		<servlet-class>in.raster.oviyam.servlet.UpdateServerConfig</servlet-class>
	</servlet>
	
	<servlet>
		<servlet-name>serverconfig</servlet-name>		
		<servlet-class>in.raster.oviyam.servlet.ServerConfig</servlet-class>
	</servlet>	

	
	<servlet-mapping>
		<servlet-name>wado</servlet-name>
		<url-pattern>/wado</url-pattern>
	</servlet-mapping>
	
	<servlet-mapping>
		<servlet-name>oviyam</servlet-name>
		<url-pattern>/oviyam</url-pattern>
	</servlet-mapping>
		
	<servlet-mapping>
		<servlet-name>RIImage</servlet-name>
		<url-pattern>/Image.do</url-pattern>
	</servlet-mapping>
	
	<servlet-mapping>
		<servlet-name>update</servlet-name>
		<url-pattern>/update.do</url-pattern>
	</servlet-mapping>
	
	<servlet-mapping>
		<servlet-name>serverconfig</servlet-name>
		<url-pattern>/serverconfig.do</url-pattern>
	</servlet-mapping>

</web-app>

